﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinListView;
using Infragistics.Win.UltraWinToolbars;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolTip;

namespace WinLIstViewTooltipText
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }



        private void Form1_Load(object sender, EventArgs e)
        {
            #region PopupMenu ShowToolTips = false or default
            PopupMenuTool popupmenutool = new PopupMenuTool("popupmenutool");
            popupmenutool.SharedProps.Caption = "ShowToolTips/False or Default";
            ListTool listtool = new ListTool("listtool");
            // Adds the tool to the Toolbar Manager's Tools collection
            this.ultraToolbarsManager1.Tools.Add(popupmenutool);
            this.ultraToolbarsManager1.Toolbars[0].Tools.Add(popupmenutool);

            this.ultraToolbarsManager1.Tools.Add(listtool);
            this.ultraToolbarsManager1.Toolbars[0].Tools.Add(listtool);

            ButtonTool btn = new ButtonTool("Button1");
            btn.SharedProps.Caption = "Button1";
            btn.SharedProps.ToolTipText = "Your Text";
            this.ultraToolbarsManager1.Tools.Add(btn);

            listtool.SharedProps.ToolTipText = "ListTool Your Text";

            // Adds items to the list
            listtool.ListToolItems.Add("Classical", "Classical");
            listtool.ListToolItems.Add("Rock", "Rock");
            listtool.ListToolItems.Add("WithOutDefault Tooltip", "WithOutDefault Tooltip");
            // Adds the List Tool to the Popup menu
            popupmenutool.Tools.AddTool("listtool");
            popupmenutool.Tools.AddTool("Button1");
            // Specifies a side strip for a menu
            popupmenutool.Settings.IsSideStripVisible = DefaultableBoolean.True;
            popupmenutool.Settings.SideStripAppearance.BackColor = Color.Blue;
            #endregion

            #region PopupMenu ShowToolTips = true
            PopupMenuTool popupmenutool1 = new PopupMenuTool("popupmenutool1");
            popupmenutool1.SharedProps.Caption = "ShowToolTips/True";
            ListTool listtool1 = new ListTool("listtool1");
            // Adds the tool to the Toolbar Manager's Tools collection
            this.ultraToolbarsManager1.Tools.Add(popupmenutool1);
            this.ultraToolbarsManager1.Toolbars[0].Tools.Add(popupmenutool1);

            this.ultraToolbarsManager1.Tools.Add(listtool1);
            this.ultraToolbarsManager1.Toolbars[0].Tools.Add(listtool1);

            ButtonTool btn1 = new ButtonTool("Button2");
            btn1.SharedProps.Caption = "Button2";
            btn1.SharedProps.ToolTipText = "Your Text";
            this.ultraToolbarsManager1.Tools.Add(btn1);

            listtool1.SharedProps.ToolTipText = "ListTool Your Text";

            // Adds items to the list
            listtool1.ListToolItems.Add("Classical1", "Classical1");
            listtool1.ListToolItems.Add("Rock1", "Rock1");
            listtool1.ListToolItems.Add("WithOutDefault Tooltip1", "WithOutDefault Tooltip1");
            // Adds the List Tool to the Popup menu
            popupmenutool1.Tools.AddTool("listtool1");
            popupmenutool1.Tools.AddTool("Button2");
            // Specifies a side strip for a menu
            popupmenutool1.Settings.IsSideStripVisible = DefaultableBoolean.True;
            popupmenutool1.Settings.SideStripAppearance.BackColor = Color.Blue;
            popupmenutool1.Settings.ShowToolTips = DefaultableBoolean.True;
            #endregion
        }

        private void ultraToolbarsManager1_MouseEnterElement(object sender, UIElementEventArgs e)
        {
            TextUIElement text = (TextUIElement)e.Element.GetDescendant(typeof(TextUIElement));
            if (text != null)
            {
                UltraToolTipInfo toolTipInfo = this.ultraToolTipManager1.GetUltraToolTip(e.Element.Control);
                switch (text.Text)
                {
                    case "WithOutDefault Tooltip":
                    toolTipInfo.ToolTipText = text.Text;
                    break;
                    case "WithOutDefault Tooltip1":
                    toolTipInfo.ToolTipText = text.Text;
                    break;
                    default:
                    toolTipInfo.ToolTipText = "";
                    break;
                }
                
                ultraToolTipManager1.ShowToolTip(e.Element.Control);
            }
        }
    }
}
